function data()

    -- Tom needs notes to remember why and how he did something
    --
    -- "require" a lua module in the mod folder "mods/modname" 
    -- this folder is not in the package search path, so build in function "require" fails
    -- also get the path and filename of the current executing lua-file ("@mod/my_config_1/mod.lua") in case the folder "my_config_1" was renamed.
    --
    -- lets go:
    -- get the full name of the current running module: debug.getinfo(1).source
    -- change "mod.lua" to "my_base_config.lua": string.gsub() 
    -- strip off the leading @ character: string.sub
    -- finally load and execute the "my_base_config.lua"-module: dofile
    local my_base_config = dofile(string.sub(string.gsub(debug.getinfo(1).source, "mod.lua", "my_base_config.lua"), 2))

    return {
        info = {
            minorVersion = 0,                                
            severityAdd = "NONE",                        
            severityRemove = "NONE",                   
            name = _("name"),                               
            description = _("desc"),                        
            authors = {                                       
                {
                    name = "Tom",
                    role = "CREATOR",
                    tfnetId = 20244,
                },
            },
            tags = { "Script Mod" },
        }, 
        
        runFn = my_base_config.modifySettings,
    }
end


